## WebKitSoupAuthDialog

WebKitSoupAuthDialog — A SoupSessionFeature to provide a simple authentication dialog for HTTP basic auth support.

## Signals

GtkWidget* | current-toplevel | Run Last

## Types and Values

| WebKitSoupAuthDialog

## Object Hierarchy

        GObject
        ╰── WebKitSoupAuthDialog

## Implemented Interfaces

WebKitSoupAuthDialog implements SoupSessionFeature.

## Description

WebKitSoupAuthDialog is a SoupSessionFeature that you can attach to your SoupSession to provide a simple authentication dialog while handling HTTP basic auth.

## Functions

## Types and Values

### WebKitSoupAuthDialog

    typedef struct _WebKitSoupAuthDialog WebKitSoupAuthDialog;

## Signal Details

### The `“current-toplevel”` signal

    GtkWidget*
    user_function (WebKitSoupAuthDialog *authDialog,
                   SoupMessage          *message,
                   gpointer              user_data)

This signal is emitted by the `authDialog` when it needs to know the current toplevel widget in order to correctly set the transiency for the authentication dialog.

#### Parameters

authDialog | the object on which the signal is emitted |
message | the SoupMessage being used in the authentication process |
user_data | user data set when the signal handler was connected. |

#### Returns

the current toplevel GtkWidget or `NULL` if there's none.

[transfer none]

Flags: Run Last

Since: 1.1.1